## ros-kinetic-rosnode-rtc 1.4.2

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(rosnode_rtc)

find_package(catkin REQUIRED COMPONENTS openrtm_tools)

catkin_package()

install(DIRECTORY scripts sample desktop
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-kinetic-rosnode-rtc (1.4.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Dec 2017 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.4.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Oct 2017 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.4.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Aug 2017 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.3.3-0xenial) xenial; urgency=high

  * re-enable rosnode_rtc (#961 <https://github.com/start-jsk/rtmros_common/issues/961>)
    * rosnode_rtc/scripts/rtmros-data-bridge.py: import RTC after OpenRTM_aist
    * rosnode_rtc/sample : now rtshell is installed in global bin
    * CMakeLists.txt : install scripts/ sample/ desktop/ to CATKIN_PACKAGE_SHARE_DESTINATION
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Feb 2017 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.3.2-0xenial) xenial; urgency=high

  * [refactor] remove old rosbuild files
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Apr 2016 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.3.1-0xenial) xenial; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.3.0-0xenial) xenial; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Dec 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.14-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 23 Jun 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.13-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.12-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Apr 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.11-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Apr 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.9-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Apr 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Mar 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.7-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.6-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.5-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Oct 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.4-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 31 Aug 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.1-0xenial) xenial; urgency=high

  * (package.xml files) Update repository URLs
  * Contributors: Isaac Isao Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Jun 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.2.0-0xenial) xenial; urgency=high

  * bump to 1.2.0for hrpsys 315.2.0

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.0.12-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 May 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.0.11-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Apr 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.0.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Apr 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.0.9-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Apr 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.0.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Apr 2014 00:00:00 -0000

ros-kinetic-rosnode-rtc (1.0.7-0xenial) xenial; urgency=high

  * (package.xml) move rostopic from test_depend to build_depend
  * add rosdep roscpp_tutorials

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 20 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosnode-rtc
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-openrtm-tools, ros-kinetic-roscpp-tutorials, ros-kinetic-rospy, ros-kinetic-rostopic
Homepage: http://ros.org/wiki/rosnode_rtc
Standards-Version: 3.9.2

Package: ros-kinetic-rosnode-rtc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-openrtm-tools
Description: This package gives transparency between RTM and ROS.
 rtmros-data-bridge.py is a RT-Component for dataport/topic. This automatically convert ROS/topic into RTM/dataport.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosnode-rtc//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
